# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLBaseElement Class Reference

Document base URI. More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLBaseElement:

[legend]
Collaboration diagram for DOM::HTMLBaseElement:

[legend]
List of all members.

## Public Member Functions

| HTMLBaseElement (const HTMLBaseElement &other)
| HTMLBaseElement (const Node &other)
HTMLBaseElement & | operator= (const HTMLBaseElement &other)
HTMLBaseElement & | operator= (const Node &other)
DOMString | href () const
void | setHref (const DOMString &)
DOMString | target () const
void | setTarget (const DOMString &)

## Protected Member Functions

| HTMLBaseElement (HTMLBaseElementImpl *impl)

## Detailed Description

Document base URI.

See the BASE element definition in HTML 4.0.

Definition at line 46 of file html_head.h.

## Member Function Documentation

DOMString HTMLBaseElement::href | ( |  | ) | const

| The base URI See the href attribute definition in HTML 4.0. Definition at line 59 of file html_head.cpp. References href(), DOM::DOMString::isNull(), and DOM::DOMString::string(). Referenced by href().

void HTMLBaseElement::setHref | ( | const DOMString & |  | ) |

| see href Definition at line 66 of file html_head.cpp.

DOMString HTMLBaseElement::target | ( |  | ) | const

| The default target frame. See the target attribute definition in HTML 4.0. Definition at line 71 of file html_head.cpp.

void HTMLBaseElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 77 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003